Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.gui
Enum QWorkspace.WindowOrder

    java.lang.Object
      java.lang.Enum<QWorkspace.WindowOrder>
          com.trolltech.qt.gui.QWorkspace.WindowOrder

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<QWorkspace.WindowOrder>

Enclosing class:
  QWorkspace

    public static enum QWorkspace.WindowOrder

extends java.lang.Enum<QWorkspace.WindowOrder>
implements QtEnumerator

Specifies the order in which child windows are returned from `windowList`.

Enum Constant Summary
`CreationOrder` The windows are returned in the order of their creation
`StackingOrder` The windows are returned in the order of their stacking

Method Summary
`static QWorkspace.WindowOrder` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QWorkspace.WindowOrder` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static QWorkspace.WindowOrder[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### CreationOrder

    public static final QWorkspace.WindowOrder CreationOrder

  The windows are returned in the order of their creation

### StackingOrder

    public static final QWorkspace.WindowOrder StackingOrder

  The windows are returned in the order of their stacking

Method Detail

### values

    public static final QWorkspace.WindowOrder[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(QWorkspace.WindowOrder c : QWorkspace.WindowOrder.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static QWorkspace.WindowOrder valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QWorkspace.WindowOrder resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD